%define pre rc1
Summary: Enigma is a puzzle game similar to Oxyd
Name: enigma-freeoxyd
Version: 0.90
Release: 0.%pre.1mdk
Source0: http://savannah.nongnu.org/download/enigma/enigma-%{version}-%pre.tar.bz2
Patch1: enigma-0.81-desktop-entry.patch.bz2
License: GPL
Group: Games/Arcade
URL: http://www.nongnu.org/enigma/
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: liblua-devel libSDL-devel libSDL_image-devel
BuildRequires: libSDL_mixer-devel libSDL_ttf-devel
BuildRequires: ImageMagick

%description
Enigma is a tribute to and a re-implementation of one of the most
original and intriguing computer games of the 1990's: Oxyd.  Your
objective is easily explained: find and uncover all pairs of identical
Oxyd stones in each landscape.  Sounds simple?  It would be, if it
weren't for hidden traps, vast mazes, insurmountable obstacles and
innumerable puzzles blocking your direct way to the Oxyd stones...

%prep
%setup -q -n enigma-%{version}-%pre
%patch1 -p1
%build

./configure --prefix=%_prefix --libdir=%_libdir

%make

%install
rm -rf $RPM_BUILD_ROOT installed-docs

make install prefix=$RPM_BUILD_ROOT%_prefix

mkdir -p $RPM_BUILD_ROOT%_mandir/man6
mv $RPM_BUILD_ROOT%_prefix/man/man6/* $RPM_BUILD_ROOT%_mandir/man6/
mv $RPM_BUILD_ROOT/%_docdir/enigma installed-docs

mv $RPM_BUILD_ROOT/%_bindir/enigma $RPM_BUILD_ROOT/%_bindir/%name

mkdir -p $RPM_BUILD_ROOT%{_menudir}

cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
	command="%{_bindir}/%{name}" \
	needs="x11" \
	section="More Applications/Games/Arcade" \
	title="Enigma" \
	icon="%name.png" \
	longtitle="Enigma is a puzzle game similar to Oxyd" \
	startup_notify="false"
EOF

mkdir -p %buildroot{%_liconsdir,%_iconsdir,%_miconsdir}
ln -s %_datadir/pixmaps/enigma.png %buildroot%_liconsdir/%name.png
convert -scale 32x32 etc/enigma.png %buildroot%_iconsdir/%name.png
convert -scale 16x16 etc/enigma.png %buildroot%_miconsdir/%name.png

%find_lang enigma

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f enigma.lang
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/enigma
%{_datadir}/applications/*
%doc installed-docs/*
%{_mandir}/man6/*
%_datadir/icons/hicolor/48x48/apps/*
%_datadir/pixmaps/*
%{_menudir}/*
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png

%changelog
* Wed Apr 13 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.90-0.rc1.1mdk
- add translations
- drop patch 0
- new version

* Thu Sep 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.81-5mdk
- fix menu

* Mon Jul 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.81-4mdk
- add source URL
- fix icon
- fix applications menu entry

* Fri Jul 02 2004 Michael Scherer <misc@mandrake.org> 0.81-3mdk 
- rebuild for new gcc ( patch 0 )

* Thu Feb 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.81-2mdk
- Rename binary as enigma-freeoxyd to not conflict with enigma package 

* Thu Oct 16 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.81-1mdk
- 0.81

* Mon Aug 18 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.70-1mdk
- new...hum...not really, replace the enigma package
- patch0: fix some missing includes
